GET /data/v1/video-views

mux.com

Summary: List Video Views
Operation ID: list-video-views
Auth: unknown
Description

Returns a list of video views which match the filters and have a `view_end` within the specified timeframe.

Parameters (7)

error_id (integer, query, optional)

Filter video views by the provided error ID (as returned in the error_type_id field in the list video views endpoint). If you provide any as the error ID, this will filter the results to those with any error.

filters[] (array, query, optional)

Limit the results to rows that match conditions from provided key:value pairs. Must be provided as an array query string parameter. To exclude rows that match a certain condition, prepend a `!` character to the dimension. Possible filter names are the same as returned by the List Filters endpoint. Example: * `filters[]=operating_system:windows&filters[]=!country:US`

limit (integer, query, optional, default: 25)

Number of items to include in the response

order_direction (string, query, optional)

Sort order.

Constraints: {'enum': ['asc', 'desc']}

page (integer, query, optional, default: 1)

Offset by this many pages, of the size of `limit`

timeframe[] (array, query, optional)

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=). Accepted formats are... * array of epoch timestamps e.g. `timeframe[]=1498867200&timeframe[]=1498953600` * duration string e.g. `timeframe[]=24:hours or timeframe[]=7:days`

viewer_id (string, query, optional)

Viewer ID to filter results by. This value may be provided by the integration, or may be created by Mux.

No probe data for this endpoint yet.